Package com.verisign.epp.codec.launchpolicy.v01

## Class EPPLaunchPolicyPollPolicy

- java.lang.Object
- - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPollPolicy

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPLaunchPolicyPollPolicy
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPLaunchPolicyPollPolicy` defines the poll messaging policy for the phase. The poll policy contains the following required boolean attributes:
  1. `intermediateStatus` - A boolean value indicating whether the server will insert poll messages, per [RFC5730], for the applicable intermediate statuses, including the "pendingValidation", "validated", "pendingAllocation", and "invalid" statuses, using the <domain:infData> element with the <launch:infData> extension.
  2. `nonMandatoryInfo` - A boolean value indicating whether the server will include non-mandatory information in the <domain:infData> element of the poll message.
  3. `extensionInfo` - A boolean value indicating whether the server will include further extensions that would normally be included in the response to the <domain:info> command, per [RFC5731], in the poll message
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPLaunchPolicyPollPolicy`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPLaunchPolicyPollPolicy`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPLaunchPolicyPollPolicy()` | Default constructor for `EPPLaunchPolicyPollPolicy`.
    `EPPLaunchPolicyPollPolicy​(java.lang.Boolean aIntermediateStatus, java.lang.Boolean aNonMandatoryInfo, java.lang.Boolean aExtensionInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | clone an `EPPCodecComponent`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | encode instance into a DOM element tree.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPOrgExt` with this instance.
    `java.lang.Boolean` | `getExtensionInfo()` | Gets the boolean value indicating whether the server will include further extensions that would normally be included in the response to the <domain:info> command, per [RFC5731], in the poll message.
    `java.lang.Boolean` | `getIntermediateStatus()` | Gets the boolean value indicating whether the server will insert poll messages, per [RFC5730], for the applicable intermediate statuses, including the "pendingValidation", "validated", "pendingAllocation", and "invalid" statuses, using the <domain:infData> element with the <launch:infData> extension.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.Boolean` | `getNonMandatoryInfo()` | Gets the boolean value indicating whether the server will include non-mandatory information in the <domain:infData> element of the poll message.
    `void` | `setExtensionInfo​(java.lang.Boolean aExtensionInfo)` | Gets the boolean value indicating whether the server will include further extensions that would normally be included in the response to the <domain:info> command, per [RFC5731], in the poll message.
    `void` | `setIntermediateStatus​(java.lang.Boolean aIntermediateStatus)` | Sets the boolean value indicating whether the server will insert poll messages, per [RFC5730], for the applicable intermediate statuses, including the "pendingValidation", "validated", "pendingAllocation", and "invalid" statuses, using the <domain:infData> element with the <launch:infData> extension.
    `void` | `setNonMandatoryInfo​(java.lang.Boolean aNonMandatoryInfo)` | Sets the boolean value indicating whether the server will include non-mandatory information in the <domain:infData> element of the poll message.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPLaunchPolicyPollPolicy`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPLaunchPolicyPollPolicy`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchPolicyPollPolicy

          public EPPLaunchPolicyPollPolicy()

      Default constructor for `EPPLaunchPolicyPollPolicy`. All of the boolean attributes must be set prior to calling `encode(Document)`.

    - #### EPPLaunchPolicyPollPolicy

          public EPPLaunchPolicyPollPolicy​(java.lang.Boolean aIntermediateStatus,
                                           java.lang.Boolean aNonMandatoryInfo,
                                           java.lang.Boolean aExtensionInfo)

      Parameters:
        `aIntermediateStatus` - Boolean indication of whether the intermediate status poll messages are included if defined
        `aNonMandatoryInfo` - Boolean value indicating whether the server will include non-mandatory information in the <domain:infData> element of the poll message.
        `aExtensionInfo` - Boolean value indicating whether the server will include further extensions that would normally be included in the response to the <domain:info> command, per [RFC5731], in the poll message.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPLaunchPolicyPollPolicy`

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPOrgExt`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPOrgExt` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getIntermediateStatus

          public java.lang.Boolean getIntermediateStatus()

      Gets the boolean value indicating whether the server will insert poll messages, per [RFC5730], for the applicable intermediate statuses, including the "pendingValidation", "validated", "pendingAllocation", and "invalid" statuses, using the <domain:infData> element with the <launch:infData> extension.
      Returns:
        Boolean indication of whether the intermediate status poll messages are included if defined; `null` otherwise.

    - #### setIntermediateStatus

          public void setIntermediateStatus​(java.lang.Boolean aIntermediateStatus)

      Sets the boolean value indicating whether the server will insert poll messages, per [RFC5730], for the applicable intermediate statuses, including the "pendingValidation", "validated", "pendingAllocation", and "invalid" statuses, using the <domain:infData> element with the <launch:infData> extension.
      Parameters:
        `aIntermediateStatus` - The intermediate status boolean value

    - #### getNonMandatoryInfo

          public java.lang.Boolean getNonMandatoryInfo()

      Gets the boolean value indicating whether the server will include non-mandatory information in the <domain:infData> element of the poll message.
      Returns:
        The intermediate status boolean value if defined; `null` otherwise.

    - #### setNonMandatoryInfo

          public void setNonMandatoryInfo​(java.lang.Boolean aNonMandatoryInfo)

      Sets the boolean value indicating whether the server will include non-mandatory information in the <domain:infData> element of the poll message.
      Parameters:
        `aNonMandatoryInfo` - The non-mandatory information boolean value

    - #### getExtensionInfo

          public java.lang.Boolean getExtensionInfo()

      Gets the boolean value indicating whether the server will include further extensions that would normally be included in the response to the <domain:info> command, per [RFC5731], in the poll message.
      Returns:
        The extension info boolean value if defined; `null` otherwise.

    - #### setExtensionInfo

          public void setExtensionInfo​(java.lang.Boolean aExtensionInfo)

      Gets the boolean value indicating whether the server will include further extensions that would normally be included in the response to the <domain:info> command, per [RFC5731], in the poll message.
      Parameters:
        `aExtensionInfo` - The extension info boolean value

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.